Bug 233967 - install on Maple complains of no PReP partition
install on Maple complains of no PReP partition
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
bzcl34nup
:
Depends On:
Blocks: FC7Target
  Show dependency treegraph
 
Reported: 2007-03-26 08:20 EDT by David Woodhouse
Modified: 2008-05-06 21:21 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 21:21:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2007-03-26 08:20:56 EDT
A clean install to an empty hard drive (no partition table) worked fine, using
the default partitioning. It created a PReP boot partition and all was well.

Reinstalling fails if I let it do its default partitioning -- I have to choose
'custom' and then manually delete the 'hfs' partition and create it again as PReP.
Comment 1 Jeremy Katz 2007-03-26 11:00:28 EDT
Detect of PReP partitions tend to be a bit of ugliness given that it's not
really any special filesystem type.

What type of partition table does the Maple use and how is the PReP partition
marked (if at all)?
Comment 2 David Woodhouse 2007-03-26 11:11:19 EDT
PReP boot has its own partition type -- type 0x41. I don't think any machine
which uses PReP partitions uses anything but MS-DOS partition tables. This one
looks like this:

   Device Boot      Start         End      Blocks   Id  System
/dev/sda1   *           1           1        8001   41  PPC PReP Boot
/dev/sda2               2          14      104422+  83  Linux
/dev/sda3              15        9729    78035737+  8e  Linux LVM
Comment 3 Jeremy Katz 2007-03-26 11:32:16 EDT
Okay, that matches what other things do.  Which gets rid of my obvious reason
for it to be busted.  Will need more looking to say what's going on 
Comment 4 Bug Zapper 2008-04-03 19:49:42 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 5 Bug Zapper 2008-05-06 21:21:49 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.